=== debian/changelog ===
lomiri-messaging-app (2.0.0-2) unstable; urgency=medium

  * debian/patches:
    + Add 0001_MessagingContactViewPage-use-main-constituent-for-ed.patch and
      0002_MessagingContactViewPage-use-ContactListModel-from-A.patch. Adapt
      to QtContacts-Sqlite addressbook backend.
    + Add 0003_src-qml-GroupChatInfoPage.qml-Stop-using-the-key-man.patch.
      Modify OSK keys without Lomiri.Keyboard QML module.
  * debian/control:
    + Drop from D: qml-module-lomiri-keyboard.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Jan 2025 15:45:11 +0100

lomiri-messaging-app (2.0.0-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1086523).

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 01 Nov 2024 09:27:23 +0100
