=== debian/control ===
Source: lomiri-messaging-app
Section: x11
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends:
# apparmor-utils:all,
# apparmor-easyprof,
# apparmor:native,
 cmake,
 debhelper-compat (= 13),
# dh-apparmor,
 libnotify-dev,
 pkgconf,
 python3-flake8 (>= 2.2.2-1ubuntu4) | python3-flake8:native,
 python3:any,
 qml-module-qt-labs-folderlistmodel,
 qml-module-qt-labs-settings,
 qml-module-qtcontacts,
 qml-module-qtmultimedia,
 qml-module-qttest,
 qml-module-lomiri-components,
 qtbase5-dev (>= 5.0),
 qtdeclarative5-dev (>= 5.0),
 qtdeclarative5-dev-tools,
 qml-module-gsettings1.0,
 qml-module-lomiri-addressbook,
 qml-module-lomiri-contacts,
 qml-module-lomiri-content,
 qml-module-lomiri-history,
 qml-module-lomiri-telephony-phonenumber,
 qml-module-lomiri-telephony <!cross>,
 qml-module-lomiri-thumbnailer,
 qml-module-lomiri-onlineaccounts,
 qml-module-lomiri-test,
 qtmultimedia5-dev,
 qtpim5-dev,
 xvfb <!nocheck>,
 xauth <!nocheck>,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/development/core/lomiri-messaging-app
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-messaging-app.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-messaging-app

Package: lomiri-messaging-app
Architecture: any
Depends:
 libqt5multimedia5,
 qml-module-qt-labs-settings,
 qml-module-qtcontacts,
 qml-module-lomiri-components,
 qml-module-gsettings1.0,
 qml-module-lomiri-addressbook,
 qml-module-lomiri-contacts,
 qml-module-lomiri-history,
 qml-module-lomiri-telephony,
 qml-module-lomiri-telephony-phonenumber,
 ttf-ancient-fonts-symbola,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 lomiri
Description: Messaging App for Lomiri Operating Environment
 This app is a core app for Ubuntu Touch's shell Lomiri. Ubuntu Touch is
 a mobile OS developed by the UBports Foundation. Lomiri is its operating
 environment optimized for touch based human-machine interaction, but
 also supports convergence (i.e. switching between tablet/phone and
 desktop mode).
 .
 This package provides Lomiri's Messaging App.
