## lomiri-messaging-app 2.0.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.5)
-project(lomiri-messaging-app VERSION 2.0.0 LANGUAGES CXX)
+project(lomiri-messaging-app VERSION 2.0.1 LANGUAGES CXX)
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
 
 option(ENABLE_TESTS "Build test programs" ON)
