=== debian/changelog ===
lomiri-messaging-app (2.0.1-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/copyright:
    + Fix FSF mailing address.
  * debian/patches:
    + Update 2001_disable-autopilot-entirely.patch. Leave qml tests intact and
      run them not only on ppc64el.
    + Add 2002_hide-app-if-not-in-lomiri.patch.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 16:15:43 +0200

lomiri-messaging-app (2.0.0-3) unstable; urgency=medium

  * debian/patches:
    + Add 2001_disable-autopilot-entirely.patch. Drop autopilot test support.
      Not available in Debian. (Closes: #1093919).
  * debian/control:
    + Drop from B-D: python3*. No Python3 is used by this project when built
      for Debian.
  * debian/rules:
    + Drop override_dh_auto_install target. Not needed anymore.
  * debian/copyright:
    + Update attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 31 Jan 2025 22:22:29 +0100
