=== debian/control ===
--- 
+++ 
@@ -12,8 +12,6 @@
 # dh-apparmor,
  libnotify-dev,
  pkgconf,
- python3-flake8 (>= 2.2.2-1ubuntu4) | python3-flake8:native,
- python3:any,
  qml-module-qt-labs-folderlistmodel,
  qml-module-qt-labs-settings,
  qml-module-qtcontacts,
@@ -37,7 +35,7 @@
  qtpim5-dev,
  xvfb <!nocheck>,
  xauth <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/lomiri-messaging-app
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-messaging-app.git
