=== debian/rules ===
--- 
+++ 
@@ -47,13 +47,6 @@
 	apparmor_parser -QTK ./debian/usr.bin.lomiri-messaging-app
 endif
 
-override_dh_auto_install:
-	dh_auto_install
-
-	# remove autopilot files
-	rm -rf debian/lomiri-messaging-app/usr/lib/python3/
-	rmdir debian/lomiri-messaging-app/usr/lib/
-
 override_dh_install: # apparmor
 	dh_install
